import { PropType } from 'vue';
declare const CCalendar: import("vue").DefineComponent<{
    /**
     * Default date of the component
     */
    calendarDate: {
        type: (StringConstructor | DateConstructor)[];
    };
    /**
     * The number of calendars that render on desktop devices.
     */
    calendars: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * Specify the list of dates that cannot be selected.
     */
    disabledDates: {
        type: PropType<Date[] | Date[][]>;
    };
    /**
     * Initial selected to date (range).
     */
    endDate: {
        type: (StringConstructor | DateConstructor)[];
    };
    /**
     * Sets the day of start week.
     * - 0 - Sunday,
     * - 1 - Monday,
     * - 2 - Tuesday,
     * - 3 - Wednesday,
     * - 4 - Thursday,
     * - 5 - Friday,
     * - 6 - Saturday,
     */
    firstDayOfWeek: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * Sets the default locale for components. If not set, it is inherited from the navigator.language.
     */
    locale: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Max selectable date.
     */
    maxDate: {
        type: (StringConstructor | DateConstructor)[];
    };
    /**
     * Min selectable date.
     */
    minDate: {
        type: (StringConstructor | DateConstructor)[];
    };
    /**
     * Show arrows navigation.
     */
    navigation: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Allow range selection.
     */
    range: BooleanConstructor;
    /**
     * Toggle select mode between start and end date.
     */
    selectEndDate: BooleanConstructor;
    /**
     * Initial selected date.
     */
    startDate: {
        type: (StringConstructor | DateConstructor)[];
    };
    /**
     * Set length or format of day name.
     *
     * @type  number | 'long' | 'narrow' | 'short'
     */
    weekdayFormat: {
        type: (NumberConstructor | StringConstructor)[];
        default: number;
        validator: (value: string | number) => boolean;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("calendar-cell-hover" | "calendar-date-change" | "start-date-change" | "end-date-change")[], "calendar-cell-hover" | "calendar-date-change" | "start-date-change" | "end-date-change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Default date of the component
     */
    calendarDate: {
        type: (StringConstructor | DateConstructor)[];
    };
    /**
     * The number of calendars that render on desktop devices.
     */
    calendars: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * Specify the list of dates that cannot be selected.
     */
    disabledDates: {
        type: PropType<Date[] | Date[][]>;
    };
    /**
     * Initial selected to date (range).
     */
    endDate: {
        type: (StringConstructor | DateConstructor)[];
    };
    /**
     * Sets the day of start week.
     * - 0 - Sunday,
     * - 1 - Monday,
     * - 2 - Tuesday,
     * - 3 - Wednesday,
     * - 4 - Thursday,
     * - 5 - Friday,
     * - 6 - Saturday,
     */
    firstDayOfWeek: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * Sets the default locale for components. If not set, it is inherited from the navigator.language.
     */
    locale: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Max selectable date.
     */
    maxDate: {
        type: (StringConstructor | DateConstructor)[];
    };
    /**
     * Min selectable date.
     */
    minDate: {
        type: (StringConstructor | DateConstructor)[];
    };
    /**
     * Show arrows navigation.
     */
    navigation: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Allow range selection.
     */
    range: BooleanConstructor;
    /**
     * Toggle select mode between start and end date.
     */
    selectEndDate: BooleanConstructor;
    /**
     * Initial selected date.
     */
    startDate: {
        type: (StringConstructor | DateConstructor)[];
    };
    /**
     * Set length or format of day name.
     *
     * @type  number | 'long' | 'narrow' | 'short'
     */
    weekdayFormat: {
        type: (NumberConstructor | StringConstructor)[];
        default: number;
        validator: (value: string | number) => boolean;
    };
}>> & {
    "onCalendar-cell-hover"?: ((...args: any[]) => any) | undefined;
    "onCalendar-date-change"?: ((...args: any[]) => any) | undefined;
    "onStart-date-change"?: ((...args: any[]) => any) | undefined;
    "onEnd-date-change"?: ((...args: any[]) => any) | undefined;
}, {
    calendars: number;
    firstDayOfWeek: number;
    locale: string;
    navigation: boolean;
    range: boolean;
    selectEndDate: boolean;
    weekdayFormat: string | number;
}>;
export { CCalendar };
